<?php
/**
 * @version 1.5 stable $Id: item.php 1058 2011-12-17 04:48:12Z ggppdk $
 * @package Joomla
 * @subpackage FLEXIcontent
 * @copyright (C) 2009 Emmanuel Danan - www.vistamedia.fr
 * @license GNU/GPL v2
 * 
 * FLEXIcontent is a derivative work of the excellent QuickFAQ component
 * @copyright (C) 2008 Christoph Lukes
 * see www.schlu.net for more information
 *
 * FLEXIcontent is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 */

defined( '_JEXEC' ) or die( 'Restricted access' );
// first define the template name
$tmpl = $this->tmpl; // for backwards compatiblity
?>



						
<div class="rt-article flexicontent item<?php echo $this->item->id; ?> type<?php echo $this->item->type_id; ?>">
	<div class="item-page">
    
     <!-- START beforeDisplayContent -->
  <?php if ($this->item->event->beforeDisplayContent) : ?>
		<div class='fc_beforeDisplayContent' style='clear:both;'>
			<?php echo $this->item->event->beforeDisplayContent; ?>
		</div>
	<?php endif; ?>
  <!-- END beforeDisplayContent --> 
  
        	<?php if ($this->params->get( 'show_page_title', 1 ) && $this->params->get('page_title') != $this->item->title) : ?>
    	<!-- START page title -->  
    <h1 class="rt-pagetitle">
			<?php echo $this->params->get('page_title'); ?>
	</h1><!-- END page title -->
	<?php endif; ?>
    
    <div class="article-header">
 
	<?php if ($this->params->get('show_title', 1)) : ?> <!-- START item title -->
      
    <div class="module-title"><div class="module-title2"><div class="module-title3">

	<h2 class="title">
		<?php
		if ( mb_strlen($this->item->title, 'utf-8') > $this->params->get('title_cut_text',200) ) :
			echo mb_substr ($this->item->title, 0, $this->params->get('title_cut_text',200), 'utf-8') . ' ...';
		else :
			echo $this->item->title;
		endif;
		?>
</h2>
	<?php endif; ?>    
    
    </div></div></div>
   
   <div class="clear"></div>
   
   
   <div class="rt-articleinfo">
  <div class="rt-articleinfo-text">
    <div class="rt-articleinfo-text2">
    
    	<?php if (isset($this->item->positions['date'])) : ?>
    <!-- START date -->
		<?php foreach ($this->item->positions['date'] as $field) : ?>
			<span class="rt-date-posted field_<?php echo $field->name; ?>"><?php echo $field->display; ?></span>
		<?php endforeach; ?>
    <!-- END date -->
	<?php endif; ?>
    

  </div> </div>
  	<?php
	$pdfbutton = flexicontent_html::pdfbutton( $this->item, $this->params );
	$mailbutton = flexicontent_html::mailbutton( FLEXI_ITEMVIEW, $this->params, null , $this->item->slug );
	$printbutton = flexicontent_html::printbutton( $this->print_link, $this->params );
	$editbutton = flexicontent_html::editbutton( $this->item, $this->params );
	if ($pdfbutton || $mailbutton || $printbutton || $editbutton) {
	?>
    <!-- START buttons -->

<div class="rt-article-icons">
	<p class="buttons">
    <?php echo $editbutton; ?>
    <?php echo $printbutton; ?>
	<?php echo $mailbutton; ?>
	<?php echo $pdfbutton; ?>
	</p>
</div>
		
		
   	<?php } ?>
  <div class="clear"></div>
</div>

	

    
    </div><!--End Article Header -->
    
    
      <?php if ($this->item->event->afterDisplayTitle) : ?>
   <!-- START afterDisplayTitle -->
		<div class="fc_afterDisplayTitle clear">
			<?php echo $this->item->event->afterDisplayTitle; ?>
		</div>
         <!-- END afterDisplayTitle -->
	<?php endif; ?>
 

	<?php if (isset($this->item->positions['subtitle1'])) : ?>
    <!-- START subtitle1 block -->
	<div class="lineinfo subtitle1">
		<?php foreach ($this->item->positions['subtitle1'] as $field) : ?>
		<h3 class="rt-articleinfo-text2 field_<?php echo $field->name; ?>"><?php echo $field->display; ?></h3>
		<?php endforeach; ?>
	</div>
    <!-- END subtitle1 block -->
	<?php endif; ?>
	





	
	
	<?php if (isset($this->item->positions['subtitle2'])) : ?>
    <!-- START subtitle2 block -->
	<div class="lineinfo subtitle2">
		<?php foreach ($this->item->positions['subtitle2'] as $field) : ?>
		<div class="element">
			<?php if ($field->label) : ?>
			<span class="label field_<?php echo $field->name; ?>"><?php echo $field->label; ?></span>
			<?php endif; ?>
			<div class="value field_<?php echo $field->name; ?>"><?php echo $field->display; ?></div>
		</div>
		<?php endforeach; ?>
	</div>
    <!-- END subtitle2 block -->
	<?php endif; ?>
	
	
	
	<?php if (isset($this->item->positions['subtitle3'])) : ?>
    <!-- START subtitle3 block -->
	<div class="lineinfo subtitle3">
		<?php foreach ($this->item->positions['subtitle3'] as $field) : ?>
		<div class="element">
			<?php if ($field->label) : ?>
			<span class="label field_<?php echo $field->name; ?>"><?php echo $field->label; ?></span>
			<?php endif; ?>
			<div class="value field_<?php echo $field->name; ?>"><?php echo $field->display; ?></div>
		</div>
		<?php endforeach; ?>
	</div>
    <!-- END subtitle3 block -->
	<?php endif; ?>
	
	
	

	
	
		<?php if (isset($this->item->positions['top'])) : ?>
        <!-- START top block -->
		<div class="infoblock <?php echo $this->params->get('top_cols', 'two'); ?>cols">
			<ul>
				<?php foreach ($this->item->positions['top'] as $field) : ?>
				<li>
					<div>
						<?php if ($field->label) : ?>
						<div class="label field_<?php echo $field->name; ?>"><?php echo $field->label; ?></div>
						<?php endif; ?>
						<div class="value field_<?php echo $field->name; ?>"><?php echo $field->display; ?></div>
					</div>
				</li>
				<?php endforeach; ?>
			</ul>
		</div>
        <!-- END top block -->
		<?php endif; ?>
	
	


	<div class="clear"></div>

	
	<?php if (isset($this->item->toc)) : ?>
    <!-- START TOC -->
		<?php echo $this->item->toc; ?>
   <!-- END TOC -->
	<?php endif; ?>
	

	
		
    
	<?php if (isset($this->item->positions['description'])) : ?>
    <!-- START description -->
	<div class="description">
          <?php if (isset($this->item->positions['image'])) : ?>
    <!-- START description -->
	
		<?php foreach ($this->item->positions['image'] as $field) : ?>
					<?php echo $field->display; ?>
		<?php endforeach; ?>
    <!-- END description -->
	<?php endif; ?>
    
		<?php foreach ($this->item->positions['description'] as $field) : ?>

		<?php echo $field->display; ?>
		<?php endforeach; ?>
        
             

	
    


	
	</div>
    <!-- END description -->
	<?php endif; ?>
	
	<?php if (isset($this->item->positions['bottom'])) : ?>
    <!-- START bottom block -->
	<div class="infoblock <?php echo $this->params->get('bottom_cols', 'two'); ?>cols">
		<ul>
			<?php foreach ($this->item->positions['bottom'] as $field) : ?>
			<li>
				<div>
					<?php if ($field->label) : ?>
					<div class="label field_<?php echo $field->name; ?>"><?php echo $field->label; ?></div>
					<?php endif; ?>
					<div class="value field_<?php echo $field->name; ?>"><?php echo $field->display; ?></div>
				</div>
			</li>
			<?php endforeach; ?>
		</ul>
	</div>
    <!-- END bottom block -->
	<?php endif; ?>
	

	
	<?php if ($this->params->get('comments') && !JRequest::getVar('print')) : ?>
    <!-- START comments -->
	<div class="comments">
	<?php
		if ($this->params->get('comments') == 1) :
			if (file_exists(JPATH_SITE.DS.'components'.DS.'com_jcomments'.DS.'jcomments.php')) :
				require_once(JPATH_SITE.DS.'components'.DS.'com_jcomments'.DS.'jcomments.php');
				echo JComments::showComments($this->item->id, 'com_flexicontent', $this->escape($this->item->title));
			endif;
		endif;
	
		if ($this->params->get('comments') == 2) :
			if (file_exists(JPATH_SITE.DS.'plugins'.DS.'content'.DS.'jom_comment_bot.php')) :
    			require_once(JPATH_SITE.DS.'plugins'.DS.'content'.DS.'jom_comment_bot.php');
    			echo jomcomment($this->item->id, 'com_flexicontent');
  			endif;
  		endif;
	?>
	</div>
    <!-- END comments -->
	<?php endif; ?>
	

  <!-- START afterDisplayContent -->
  <?php if ($this->item->event->afterDisplayContent) : ?>
		<div class='fc_afterDisplayContent clear'>
			<?php echo $this->item->event->afterDisplayContent; ?>
		</div>
	<?php endif; ?>
  <!-- END afterDisplayContent -->
    
    </div>
    </div>

