<?php
/**
 * @version 1.5 stable $Id: category.php 974 2011-11-23 09:28:28Z enjoyman@gmail.com $
 * @package Joomla
 * @subpackage FLEXIcontent
 * @copyright (C) 2009 Emmanuel Danan - www.vistamedia.fr
 * @license GNU/GPL v2
 * 
 * FLEXIcontent is a derivative work of the excellent QuickFAQ component
 * @copyright (C) 2008 Christoph Lukes
 * see www.schlu.net for more information
 *
 * FLEXIcontent is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 */
defined( '_JEXEC' ) or die( 'Restricted access' );
?>

<div id="flexicontent" class="rt-blog flexicontent">
  <?php
	if ( $this->params->get('show_print_icon')
		|| $this->params->get('show_email_icon')
		|| JRequest::getCmd('print')
		|| $this->params->get('show_feed_icon', 1)
		) {
	?>
  <!-- Start buttons -->
  <div class="rt-article-icons">
  <p class="buttons">
    <?php //echo flexicontent_html::addbutton( $this->params ); ?>
    <?php echo flexicontent_html::printbutton( $this->print_link, $this->params ); ?> <?php echo flexicontent_html::mailbutton( 'category', $this->params, $this->category->slug ); ?> <?php echo flexicontent_html::feedbutton( 'category', $this->params, $this->category->slug ); ?></p></div>
    <div class="clear"></div>
  <!-- End buttons -->
  <?php } ?>
  <?php if ($this->params->get( 'show_page_title', 1 ) && $this->params->get('page_title') != $this->category->title) : ?>
  <!-- Start page title -->
  <h1 class="rt-pagetitle"> <?php echo $this->params->get('page_title'); ?> </h1>
  <!-- End page title -->
  <?php endif; ?>
  
  <!-- Start author description -->
  <?php
	if (@$this->authordescr_item_html) :
		echo $this->authordescr_item_html;
	endif;
	?>
  <!-- End author description --> 
  
  <!-- Start category description -->
  <div class="category-desc rt-description">
  <?php
	if (($this->category->id > 0) && ((!empty($this->category->image) && $this->params->get('show_description_image', 1)) || ($this->params->get('show_description', 1)) || ($this->params->get('show_cat_title', 1)))) :
	echo $this->loadTemplate('category');
	endif;
	?>
   
  <!-- End category description --> 
  
  <!-- Start sub-categories -->
  <?php 
	//only show this part if subcategories are available
	if (count($this->categories) && $this->category->id > 0 && $this->params->get('show_subcategories')) :
	echo $this->loadTemplate('subcategories');
	endif;
	?>
  <!-- End sub-categories --> 
   </div>
  <!-- Start item list display --> 

  <?php echo $this->loadTemplate('items'); ?> 

  <!-- Start item list display -->
  
  <?php if ($this->params->get('show_pagination', 2) != 0) : ?>
      <div class="rt-pagination">
  <!-- Start pagination -->
  <div class="pageslinks"> <?php echo $this->pageNav->getPagesLinks(); ?> </div>
  <?php if ($this->params->get('show_pagination_results', 1)) : ?>
  <p class="pagescounter"> <?php echo $this->pageNav->getPagesCounter(); ?> </p>
  <!-- End pagination -->
  <?php
		endif;
	endif; 
	?>
</div>
  </div>